www.cendio.com
Bug 3059 - remove unencrypted mode
: remove unencrypted mode
Status: CLOSED FIXED
: ThinLinc
Client
: 2.1.0
: PC All
: P2 Enhancement
: 4.3.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2009-04-01 12:36 by
Modified: 2014-10-28 13:41 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2009-04-01 12:36:45
Our "unencrypted" mode means that we let the VNC traffic go outside the SSH
tunnel, directly to the server. This feature should be removed as it is rather
unintuitive (it breaks the principle of using just port 22 and the GUI suggests
that we just tell SSH to not encrypt the data), it's insecure (of course) and I
doubt anyone actually uses it.

The only reason to keep it around is for performance, but SSH is not that much
of a bottle neck in most cases.
------- Comment #1 From cendio 2014-08-20 13:34:55 -------
Fixed in r29276 and r29277.

Tester should check that there is nothing left in the code or documentation for
the unencrypted mode.
------- Comment #2 From cendio 2014-09-22 12:55:14 -------
Still in the usage message:

tlclient_tlclient.cc:                 "                                  -
sshcrypt: ssh encryption\n"
------- Comment #3 From cendio 2014-09-22 14:40:21 -------
(In reply to comment #2)
> Still in the usage message:
> 
> tlclient_tlclient.cc:                 "                                  -
> sshcrypt: ssh encryption\n"

r29402.
------- Comment #4 From cendio 2014-09-22 14:54:29 -------
Ok now.
------- Comment #5 From cendio 2014-10-23 15:18:28 -------
There are still stuff in TAG referencing unencrypted connections see image @

https://www.cendio.com/resources/docs/tag/network.html
------- Comment #6 From cendio 2014-10-23 15:50:48 -------
The options screen shot is also wrong.
------- Comment #7 From cendio 2014-10-23 16:00:19 -------
Images updated in r29535.
------- Comment #8 From cendio 2014-10-28 13:41:57 -------
Fine now.